Bug 212369 - Use of uninitialized value in pattern match
Summary: Use of uninitialized value in pattern match
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: spamassassin   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-26 15:29 UTC by Thomas J. Baker
Modified: 2007-11-30 22:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-08 19:37:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas J. Baker 2006-10-26 15:29:55 UTC
Description of problem:

I'm running spamass-milter along with spamassassin and I'm seeing these errors
in /var/log/maillog:

Oct 26 09:19:19 raptor spamd[2509]: Use of uninitialized value in pattern match
(m//) at /usr/lib/perl5/vendor_perl/5.8.8/Mail/SpamAssassin/PerMsgStatus.pm line
879, <GEN4> line 5. 
Oct 26 09:19:19 raptor spamd[2509]: Use of uninitialized value in concatenation
(.) or string at
/usr/lib/perl5/vendor_perl/5.8.8/Mail/SpamAssassin/PerMsgStatus.pm line 953,
<GEN4> line 5. 


The may be just warnings as mail is being tagged.

Also saw this:

Oct 26 11:28:21 raptor spamd[5990]: rules: meta test DIGEST_MULTIPLE has
undefined dependency 'DCC_CHECK' 
Oct 26 11:28:21 raptor spamd[5990]: spamd: server started on port 783/tcp
(running version 3.1.4) 

Version-Release number of selected component (if applicable):

spamassassin-3.1.4-1.fc6

Comment 1 Warren Togami 2007-06-08 19:03:55 UTC
Is this still an issue with the latest FC6 update?

Comment 2 Thomas J. Baker 2007-06-08 19:07:26 UTC
My logs look clean. Seems fixed to me.


Note You need to log in before you can comment on or make changes to this bug.